Bug 435144 - whitelist: iounmap(ia64) - Failed ABI dependencies for IA64 mpt SCSI drivers
whitelist: iounmap(ia64) - Failed ABI dependencies for IA64 mpt SCSI drivers
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.2
All Linux
high Severity high
: rc
: ---
Assigned To: Jon Masters
Martin Jenner
:
: 452153 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-27 11:50 EST by Joshua Giles
Modified: 2010-10-22 18:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 14:55:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
435144-whitelist-iounmap.patch (875 bytes, application/octet-stream)
2008-08-21 11:57 EDT, Jon Masters
no flags Details

  None (edit)
Description Joshua Giles 2008-02-27 11:50:16 EST
Description of problem:
When attempting to install a DUM driver based on mptbase driver, it fails with a
ABI dependency missing:

"error: Failed dependencies: ksym(iounmap) = edc03953 is needed by
kmod-mptdrivers-1.0-0.ia64"


Version-Release number of selected component (if applicable):
3.3-0.pre3.1.37.el5.ia64

How reproducible:
100%

Steps to Reproduce:
1. Try building and installing a mptbase driver using the DUM
2.
3.
  
Actual results:
Failed to install

Expected results:


Additional info:
RHTS job # http://rhts.redhat.com/cgi-bin/rhts/recipes.cgi?id=57700
RHTS test log showing failure:
http://rhts.redhat.com/cgi-bin/rhts/test_log.cgi?id=2060842
Comment 1 RHEL Product and Program Management 2008-02-27 11:57:13 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 3 RHEL Product and Program Management 2008-02-27 13:07:24 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 RHEL Product and Program Management 2008-07-21 19:06:05 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 7 RHEL Product and Program Management 2008-07-28 15:52:21 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 Jon Masters 2008-08-21 11:46:30 EDT
I have posted the attached patch internally for consideration in the 5.3 kernel. It is now awaiting internal discussion and signoff. I will update this bug with the results from that process. In the meantime, please let me know if you are planning to ship a module on systems prior to 5.3 and require a temporary workaround for this whitelist omission.
Comment 9 Jon Masters 2008-08-21 11:57:13 EDT
Created attachment 314722 [details]
435144-whitelist-iounmap.patch
Comment 10 Don Zickus 2008-09-15 10:16:41 EDT
in kernel-2.6.18-115.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5
Comment 12 Jon Masters 2008-11-13 15:20:09 EST
*** Bug 452153 has been marked as a duplicate of this bug. ***
Comment 16 errata-xmlrpc 2009-01-20 14:55:29 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html

Note You need to log in before you can comment on or make changes to this bug.